/* Eclipse風テーマ */

/* IEとFirefoxの差分吸収 */
* { box-sizing : border-box}
* { -moz-box-sizing : border-box}

/* ボディ部 */
body {
	background-image: url(eclipsebody.png);
	background-position: left top;
	background-repeat: no-repeat;
	color           : #000000;
	background-color: #EAE6D4;
	padding         : 76px 0px 0px 0px;
	margin          : 0px 0px 0px 10px;
}

/* 上部に表示される管理者メニューリンク */
div.adminmenu {
	position       : absolute;
	top            : 5px;
	left           : 200px;
	font-size      : 10pt;
	font-weight    : bold;
	word-spacing   : 2ex;
}

div.adminmenu a:link, div.adminmenu a:visited{
	color       : #FFFFFF;
}

/* ヘッダー部分（「Header」ページを作成した場合） */
div.header {
	background-color: #FFFFFF;
	font-size   : 80%;
	color       : #7F0055;
	width       : 835px;
	border-right: #ACA899 1px solid;
	border-left : #ACA899 1px solid;
	margin      : 0px;
	padding     : 10px;
}

div.header a:link, div.header a:visited{
	color       : #7F0055;
}

/* フッター部分（問題ビュー風） */
div.footer {
	background-image: url(eclipsefooter.png);
	background-repeat: no-repeat;
	padding     : 60px 0px 0px 10px;
	text-align  : left;
	font-size   : 80%;
	font-style  : italic;
	width       : 835px;
	height      : 109px;
}

hr {
	color : #3F7F5F;
}

/* 引用文（横に長い場合にスクロール） */
pre {
	background-color: #EEEEFF;
	border      : #000000 1px outset;
	padding     : 10px;
	padding-bottom : 15px;
	margin-left : 20px;
	width       : 790px;
	overflow    : auto;
	overflow-y  : visible;
}

blockquote {
	background-color: #EEEEFF;
	border      : #000000 1px solid;
	padding     : 10px;
	padding-bottom : 15px;
	margin-left : 20px;
	width       : 790px;
	overflow    : auto;
	overflow-y  : visible;
	font-style  : italic;
}

/* ページ名タイトル */
h1 {
	margin           : 0px;
	padding          : 3px 300px 0px 25px;
	background-image: url(eclipseheadline.png);
	background-position: left top;
	background-repeat: no-repeat;
	background-color : transparent;
	color            : #000000;
	font-family      : Verdana,Arial,Helvetica,sans-serif;
	font-size        : 12pt;
	height           : 27px;
	width            : 835px;
}

h1 a:link, h1 a:visited {
	color       : #000000;
}

/* タイトル（大中小） */
h2 {
	background-color : #7F0055;
	color            : #FFFFFF;
	font-family      : Verdana,Arial,Helvetica,sans-serif;
	padding-left     : 5pt;
	margin-bottom    : 5px;
}

h2 a:link, h2 a:visited {
	color       : #FFFFFF;
}

h3 {
	border-color  : #7F0055;
	border-width  : 5px 1px 1px 10px;
	border-style  : solid;
	color         : #7F0055;
	font-family   : Verdana,Arial,Helvetica,sans-serif;
	padding-left  : 5pt;
	margin-bottom : 5px;
}

h4 {
	border-left   : #7F0055 10px solid;
	padding-left  : 5px;
	margin-bottom : 5px;
	font-family   : Verdana,Arial,Helvetica,sans-serif;
	color         : #7F0055;
}

div.body {
	background-color : #FFFFFF;
	width            : 835px;
	padding          : 1px 10px;
	border-style     : solid;
	border-width     : 0px 1px;
	border-color     : #A49F90;
}

div.body p {
	padding-left  : 20px;
	margin        : 10px 0px;
}

div.body blockquote p {
	margin-top     : 0px;
	margin-bottom  : 0px;
}

table {
	border : #3F5FBF 2px solid;
}

th {
	border : #3F5FBF 1px solid;
	background-color : #3F5FBF;
	color            : #FFFFFF;
}

td {
	border : #3F5FBF 1px solid;
}

A:link, A:visited{ 
	color            : #4444FF;
	text-decoration  : none;
}

A:hover {
	color           : #FF4444;
	text-decoration : underline;
}

dt {
	margin-left     : 30px;
	background-image: url(eclipsecomment.png);
	background-position: left top;
	background-repeat: no-repeat;
	background-color: transparent;
	height          : 37px;
	color           : #7F9FBF;
	padding-left    : 30px;
	padding-top     : 10px;
	font-weight     : bold;
}

dt A:link , dt A:visited{
	color           : #7F9FBF;
	font-weight     : bold;
}

dd {
	color         : #3F7F5F;
	margin-left   : 50pt;
	margin-right  : 0pt;
}

/* メイン (IE Firefox 差分吸収)*/
div.main {
	margin-left      : 148px;
	*margin-left     : 146px;
	width            : 835px;
}

/* サイドバー */
div.sidebar {
	position        : absolute;
	top             : 76px;
	left            : 0px;
	width           : 151px;
	font-size       : x-small;
	border-color    : #ACA899;
	border-width    : 0px 1px 1px 0px;
	border-style    : solid;
	color           : #000000;
	background-color: #FFFFFF;
	word-break      : break-all;
}

/* サイドバーの!!!タイトル行（Eclipseビュー風） */
div.sidebar h2{
	background-image: url(eclipsemenu.png);
	background-position: left top;
	background-repeat: no-repeat;
	background-color: transparent;
	color           : #000000;
	font-size       : 10pt;
	padding-top     : 4px;
	padding-left    : 22px;
	width           : 150px;
	height          : 50px;
}

/* サイドバーの!!タイトル行（Eclipseプロジェクト風） */
div.sidebar h3{
	background-image: url(eclipseproject.png);
	background-position: 5px 0px;
	background-repeat: no-repeat;
	background-color: transparent;
	border          : none;
	font-size       : 10pt;
	padding-top     : 0px;
	padding-left    : 40px;
	height          : 15px;
}

/* サイドバーの!タイトル行（Eclipseパッケージ風） */
div.sidebar h4{
	background-image: url(eclipsepackage.png);
	background-position: 22px 0px;
	background-repeat: no-repeat;
	background-color: transparent;
	border          : none;
	font-size       : 10pt;
	padding-top     : 0px;
	padding-left    : 60px;
	height          : 15px;
}

div.sidebar form, div.sidebar p{
	padding-left    : 5px;
}

div.sidebar ul{
	list-style-image:url(eclipsejava.png);
	padding         : 0px 5px;
	font-size       : 10pt;
}

div.comment {
	width            : 100%;
	max-width        : 835px;
	color            : #3F7F5F;
	padding          : 10px;
	background-color : #FFFFFF;
	border-color     : #A49F90;
	border-width     : 0px 1px;
	border-style     : solid;
	font-size        : 80%;
}

div.comment p {
	margin-top : 5pt;
	margin-bottom : 5pt;
}

div.sidebar ul,div.sidebar li {
	padding-left : 0pt;
	margin-left  : 10pt;
}

div.sidebar h2,div.sidebar h3,div.sidebar h4 {
	margin-top : 0px;
}

/* calendar plugin */
table.calendar {
	line-height : 1.1em;
	border      : #ACA899 2px solid;
	margin      : 15px 30px;
}


div.sidebar table.calendar {
	margin  : 15px;
	font-size: 90%;
}

table.calendar td {
	margin: 0px;
	text-align: right;
	padding: 2px 20px;
	border : #ACA899 1px solid;
}

div.sidebar table.calendar td {
	margin: 0px;
	padding: 0px;
}

table.calendar td.calendar-prev-month,
table.calendar td.calendar-current-month,
table.calendar td.calendar-next-month {
	text-align: center;
}

.calendar-sunday {
	color: #f00;
}

.calendar-saturday {
	color: #00f;
}

.calendar-weekday {
	color: #000;
}

.calendar-prev-month, .calendar-current-month, .calendar-next-month,
.calendar-sunday, .calendar-weekday, .calendar-saturday {
	background-color : #EAE6D4;
}

@media print {
	div.sidebar {
		display: none;
	}
	
	div.main {
		margin-left: 0px;
	}
	
	div.adminmenu {
		display: none;
	}
	
	div.footer {
		display: none;
	}
	
	h1 {
		display: none;
	}
	
	div.header {
		display: none;
	}
	
	div.comment {
		display: none;
	}
	
	a.partedit {
		display: none;
	}
}

